﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows.Automation;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.DragDrop;
using Telerik.Windows.Controls.TreeView;

namespace TreeViewTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            treeView.AddHandler(RadDragAndDropManager.DropInfoEvent, new EventHandler<DragDropEventArgs>(OnDropInfo));           
        }



        // OnDropInfo event handler
        private void OnDropInfo(object sender, DragDropEventArgs e)
        {          
            if (Keyboard.Modifiers == ModifierKeys.Control && e.Options.Status != DragStatus.DropImpossible)
            {
                Debug.WriteLine("Drop");
                TreeViewDragCue cue = e.Options.DragCue as TreeViewDragCue;
                cue.DragActionContent = "Copy To";
            }
        }


        
    }
}
